## org.apache.commons.configuration.reloading
Interface ReloadingStrategy

All Known Implementing Classes:
  FileChangedReloadingStrategy, InvariantReloadingStrategy, ManagedReloadingStrategy, VFSFileChangedReloadingStrategy

    public interface ReloadingStrategy

A strategy to decide if a configuration should be reloaded.

Since:
  1.1
Version:
  $Id: ReloadingStrategy.java 1210646 2011-12-05 21:25:01Z oheger $
Author:
  Emmanuel Bourg

Method Summary
`void` `init()` Initialize the strategy.
`void` `reloadingPerformed()` Notify the strategy that the file has been reloaded.
`boolean` `reloadingRequired()` Tell if the evaluation of the strategy requires to reload the configuration.
`void` `setConfiguration(FileConfiguration configuration)` Set the configuration managed by this strategy.

Method Detail

### setConfiguration

    void setConfiguration(FileConfiguration configuration)

  Set the configuration managed by this strategy.

  Parameters:
    `configuration` - the configuration to monitor

### init

    void init()

  Initialize the strategy.

### reloadingRequired

    boolean reloadingRequired()

  Tell if the evaluation of the strategy requires to reload the configuration.

  Returns:
    a flag whether a reload should be performed

### reloadingPerformed

    void reloadingPerformed()

  Notify the strategy that the file has been reloaded.

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.